packagekit (0.8.17-4ubuntu6~gcc5.4ubuntu1.5) xenial-security; urgency=medium

  * SECURITY UPDATE: information disclosure (LP: #1888887)
    - debian/patches/CVE-2020-16121.patch: hide failures behind a single
      error message in src/pk-transaction.c.
    - CVE-2020-16121
  * SECURITY UPDATE: untrusted local file installation (LP: #1882098)
    - debian/patches/CVE-2020-16122.patch: do not trust local packages in
      backends/aptcc/apt-intf.cpp.
    - CVE-2020-16122

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Sep 2020 13:23:04 -0400

packagekit (0.8.17-4ubuntu6~gcc5.4ubuntu1.4) xenial; urgency=medium

   * debian/patches/frontend-locking.diff:
     Implement frontend locking in a simple way. Will need some more
     work to upstream, and possibly some error checking. (LP: #1795614)
   * Bump libapt-pkg-dev build-dep to >= 1.2.28~ for frontend locking

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 02 Oct 2018 16:13:24 +0200

packagekit (0.8.17-4ubuntu6~gcc5.4ubuntu1.3) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 10 Jul 2018 22:18:21 +0200

packagekit (0.8.17-4ubuntu6~gcc5.4ubuntu1.2) xenial; urgency=medium

  * Add fix-update-detail-crash.patch: Fix GetUpdateDetail() crashing
    immediately with aptcc. Backport fix from upstream commit 18c56fa520.
    (LP: #1689820)
  * Drop browser-plugin-packagekit binary package. It cannot be built any more
    as current firefox dropped NPAPI. Backported from Debian packaging git
    commit b98a97832275.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Aug 2017 13:00:44 +0000

packagekit (0.8.17-4ubuntu6~gcc5.4ubuntu1.1) xenial; urgency=medium

  * Fix segfault on AptIntf::init() (LP: #1569292)
    aptcc: Don't ask about config changes if we are not interactive
    aptcc: Always respect the noninteractive flag
    aptcc: Fix several compiler warnings
    aptcc: Ensure proxy and frontend-socket aren't used if they are NULL

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 10 May 2016 16:20:37 +0200

packagekit (0.8.17-4ubuntu6~gcc5.4ubuntu1) xenial; urgency=high

  * Cherrypick
    https://github.com/hughsie/PackageKit/commit/30bfee4d41944bbfbd7a40c7f3fa1004fc6effa9
    to fix FTBFS with apt 1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 09 Dec 2015 18:02:41 +0000

packagekit (0.8.17-4ubuntu6~gcc5.4) xenial; urgency=high

  * No change rebuild against libapt-pkg5.0 / libapt-inst2.0

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 09 Dec 2015 17:09:25 +0000

packagekit (0.8.17-4ubuntu6~gcc5.3) wily; urgency=medium

  * No-change rebuild against libapt-pkg4.16

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 16:35:12 +0200

packagekit (0.8.17-4ubuntu6~gcc5.2) wily; urgency=medium

  * Rebuild for apt transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 20 Jul 2015 16:57:06 +0200

packagekit (0.8.17-4ubuntu6~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Jul 2015 22:21:58 +0000

packagekit (0.8.17-4ubuntu5) wily; urgency=medium

  * Build-depend on libsystemd only, instead of the deprecated libsystemd-*
    libs. Backported 02_libsystemd-only.patch from Debian and adjusted to this
    old version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jul 2015 07:09:12 +0200

packagekit (0.8.17-4ubuntu4) vivid; urgency=medium

  * No-change rebuild against libsystemd0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Jan 2015 15:26:46 +0100

packagekit (0.8.17-4ubuntu3) utopic; urgency=medium

  * Link aptcc against -lutil for forkpty (LP: #1368246).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Sep 2014 18:06:34 +0100

packagekit (0.8.17-4ubuntu2) utopic; urgency=low

  * debian/patches/git57c504e.diff
    - backport --allow-untrusted option from upstream git #57c504e
      (LP: #1360582)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 27 Aug 2014 07:52:34 -0700

packagekit (0.8.17-4ubuntu1) utopic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    + Client tools alternatively depend on or recommend aptdaemon's
      compatibility layer
    + packagekit provides the virtual packagekit-system-interface
    + Allow beta versions of firefox-dev >= 30, remove iceweasel-dev.
    + Add break on packagekit-plugin-click <= 0.3
    + Temporarily disable browser plugin on ppc64el, to help with
      bootstrapping this new architecture.
    + Drop using ubuntu.series.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 19 Jun 2014 17:29:52 +0100

packagekit (0.8.17-4) unstable; urgency=medium

  * Tighten dependency on iceweasel-dev
  * aptcc-python3.patch: Use Python3 for aptcc upgrade helper
  * link-gstreamer1.0.patch: Link against GStreamer 1.0 by default
  * Build GStreamer 1.0 plugin by default, drop 0.10 plugin

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Jun 2014 14:10:16 +0200

packagekit (0.8.17-3) unstable; urgency=medium

  * Don't ship transactions.db (Closes: #746327)
  * tdb-permissions.patch: Update permissions on the transactions db
  * Replace xulrunner-dev build-dep with dependency on iceweasel-dev

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Jun 2014 12:34:04 +0200

packagekit (0.8.17-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Client tools alternatively depend on or recommend aptdaemon's
      compatibility layer
    + packagekit provides the virtual packagekit-system-interface
    + Add break on packagekit-plugin-click <= 0.3
    + Fix default url in vendor-ubuntu.diff
    + Temporarily disable browser plugin on arm64 & ppc64el, to help with
      bootstrapping this new architecture.
    + Link against gstreamer1.0, instead of gstreamer0.10 since almost  
    + Change p-b-aptcc backend helper shebang from python2 to python3.
    + Drop using ubuntu.series.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 23 May 2014 19:23:25 +0100

packagekit (0.8.17-2) unstable; urgency=low

  * Fix default changelog URL (Closes: #739172)
  * Update debian/watch file

 -- Matthias Klumpp <mak@debian.org>  Thu, 10 Apr 2014 18:54:04 +0200

packagekit (0.8.17-1) unstable; urgency=low

  * New upstream release: 0.8.17
    - Lots of small enhancements and bugfixes
    - Contains fix for changelog-fetching (Closes: #739172)
  * Ship transactions.db file by default (Closes: #737556)

 -- Matthias Klumpp <mak@debian.org>  Wed, 26 Mar 2014 16:56:24 +0100

packagekit (0.8.16-1) unstable; urgency=low

  * New upstream release: 0.8.16
    - Adds missing annotations to DBus spec,
      which closes: #735812
    - Increases aptcc notification timeout, which likely
      closes: #688428
    - Verious other improvements and bugfixes
  * Bump standards version: No change needed
  * Drop patches: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 21 Jan 2014 21:04:48 +0100

packagekit (0.8.14-2) unstable; urgency=low

  * Explicitly set systemd unit dir (Closes: #731556)
  * 03_syslog-nodebug.patch: Don't send debug messages to syslog
    by default (Closes: #731569)
  * Fix build on kFreeBSD/Hurd (Closes: #731680)

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Dec 2013 21:46:28 +0100

packagekit (0.8.14-1) unstable; urgency=low

  * New upstream release: 0.8.14
    - This release brings lots of speed improvements
    - Please note that some features have been removed from
      PackageKit.
      You can find information about removed features at
      http://lists.freedesktop.org/archives/packagekit/2013-December/026185.html
  * Adjust default configuration and vendor information
  * Update symbols file
  * 01_pkpackage-noassert.patch: Make PkPackage reusable again, fixes GPK crash
  * 02_new-cve-format.patch: Update CVE RegEx to new CVE format
  * Clean up build dependencies

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Dec 2013 18:04:32 +0100

packagekit (0.8.12-1ubuntu5) trusty; urgency=medium

  * Link against gstreamer1.0, instead of gstreamer0.10 since almost
    everything in default installations is using gstreamer1.0 (ubuntu,
    kubuntu, etc).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Apr 2014 13:21:03 +0100

packagekit (0.8.12-1ubuntu4) trusty; urgency=low

  * increase timeout for aptcc. LP: #1001376

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 01 Apr 2014 20:47:03 +0800

packagekit (0.8.12-1ubuntu3) trusty; urgency=medium

  * Change p-b-aptcc backend helper shebang from python2 to python3. (LP:
    #1283574)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Feb 2014 17:12:52 +0000

packagekit (0.8.12-1ubuntu2) trusty; urgency=medium

  * Temporarily disable browser plugin on ppc64el, to help with
    bootstrapping this new architecture.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 12:13:32 +0000

packagekit (0.8.12-1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    + Client tools alternatively depend on or recommend aptdaemon's
      compatibility layer.
    + packagekit provides the virtual packagekit-system-interface.
    + Add break on packagekit-plugin-click <= 0.3.
    + Fix default url in vendor-ubuntu.diff.
    + Temporarily disable browser plugin on arm64, to help with
      bootstrapping this new architecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 08:02:30 -0700

packagekit (0.8.12-1) unstable; urgency=low

  * New upstream release: 0.8.12
  * Depend on policykit-1 (Closes: #719569)
  * Update symbols file
  * Remove TODO from docs
  * Fix default URL for Ubuntu vendor

 -- Matthias Klumpp <mak@debian.org>  Sun, 20 Oct 2013 18:42:46 +0200

packagekit (0.8.10-2ubuntu2) saucy; urgency=low

  * Temporarily disable browser plugin on arm64, to help with bootstrapping
    this new architecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Oct 2013 21:49:15 +0100

packagekit (0.8.10-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Client tools alternatively depend on or recommend aptdaemon's
      compatibility layer
    + packagekit provides the virtual packagekit-system-interface
    + Add break on packagekit-plugin-click <= 0.3
    + Fix default url in vendor-ubuntu.diff

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Tue, 27 Aug 2013 23:45:23 +0200

packagekit (0.8.10-2) unstable; urgency=low

  * Always ask for passwort when installing packages
    - Ask for password even if packages are trusted and user
      is in sudo group.
    - This is a more conservative default, since apparently software
      on servers started using PackageKit too.
    - Sudo-people are still able to perform updates

 -- Matthias Klumpp <mak@debian.org>  Fri, 02 Aug 2013 20:48:42 +0200

packagekit (0.8.10-1) unstable; urgency=low

  * New upstream release: 0.8.10
  * Adjusted Debian default settings to new upstream configuration
  * Updated security policy, the following config is valid:
    - Allow any local, active user in the "sudo" group to perform
      system-updates, trigger offline-updates and install signed packages
      from trusted sources.
    - Allow any user to refresh the package cache
    - Restrict all other tasks to users with superuser-privileges
    - These changes will take effect with PolicyKit >= 0.110
  * Fix package-install policy, was changed temporarily
    by upstream (Closes: #717742)
  * Provide symbols-file for libpackagekit-glib2 (Closes: #700204)

 -- Matthias Klumpp <mak@debian.org>  Fri, 26 Jul 2013 16:32:20 +0200

packagekit (0.8.9-3) unstable; urgency=low

  * Don't make aptcc backend recommend appstream-index
    - Frontends will recommend it if they support it
  * Drop unneeded build-dependency on python3-dev

 -- Matthias Klumpp <mak@debian.org>  Thu, 11 Jul 2013 18:48:42 +0200

packagekit (0.8.9-2) unstable; urgency=low

  * Upload to unstable (Closes: #709580)
  * Break old client library packages (Closes: #700237)

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Jun 2013 22:32:52 +0200

packagekit (0.8.9-1) experimental; urgency=low

  * New upstream release: 0.8.9
    - Many bugfixes and new features, see the NEWS file for details
  * Remove system-interface virtual package
    - Was only used in Ubuntu, and not really useful there, since they
      had to patch PackageKit anyway. It also made finding issues in Debian
      harder.
  * Drop 01_compile-nonlinux.patch: Applied upstream
  * Install bash-completion for pkcon

 -- Matthias Klumpp <mak@debian.org>  Tue, 04 Jun 2013 14:08:24 +0200

packagekit (0.8.7-2) experimental; urgency=low

  * Make PackageKit compile on non-Linux platforms (Closes: #705797)
    - Thanks to Petr Salinger for the patch!

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Apr 2013 18:18:08 +0200

packagekit (0.8.7-1) experimental; urgency=low

  * New upstream release: 0.8.7
  * Change mail to my Debian address
  * Apply DEP-5 specs to (new) copyright file

 -- Matthias Klumpp <mak@debian.org>  Tue, 19 Mar 2013 20:24:14 +0100

packagekit (0.8.6-1) experimental; urgency=low

  * Remove Aptcc trigger which became useless
  * Recommend gdebi-core again (LP: #1060395)
  * New upstream release: 0.8.6
    - Many improvements and bugfixes
  * Remove Qt bindings, have been split out to new source package
  * Build PackageKit with Python3
  * Bump standards version (no changes needed)
  * Don't create extra package for offline-updates
  * Make PackageKit work on non-Linux archs again

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 28 Nov 2012 14:12:40 +0100

packagekit (0.8.4-1) experimental; urgency=low

  * New upstream release: 0.8.4

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 01 Oct 2012 20:26:47 +0200

packagekit (0.8.3-1) experimental; urgency=low

  * New upstream release: 0.8.3
    This is a release from the 0.8.x series which contains many
    exciting new features, for example parallel transactions,
    heavily improved backend API, many speed optimizations,
    offline-update support etc. For details see the PackageKit
    changelog.
  * Use systemd on all Linux architectures
  * Add offline-update technology preview
  * Adjust library package names to new soversions

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 21 Aug 2012 17:42:27 +0200

packagekit (0.7.6-3ubuntu3) saucy; urgency=low

  * Drop libpackagekit-qt2-dev binary package for now, since apparently
    packagekit-qt has taken it over.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Jul 2013 17:24:24 +0100

packagekit (0.7.6-3ubuntu2) saucy; urgency=low

  * Improve support for the Click plugin:
    - Allow plugins to override PolicyKit actions.
    - Set full_paths before auth in pk_transaction_install_files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Jul 2013 16:32:06 +0100

packagekit (0.7.6-3ubuntu1) raring; urgency=low

  * debian/control: Adjust libpackagekit-glib2-14's Recommends to mark
    python3-aptdaemon.pkcompat as the preferred packagekit-system-interface
    provider in Ubuntu (thanks to Ursula Junque for investigation of
    differing output with germinate >= 2.6).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Mar 2013 16:50:08 +0000

packagekit (0.7.6-3build1) raring; urgency=low

  * No-change rebuild for the libarchive13 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 24 Feb 2013 14:40:44 -0700

packagekit (0.7.6-1) unstable; urgency=low

  * New upstream bugfix release: 0.7.6
    Changes relevant to Debian:
    - aptcc: Don't use tempfile with fixed name for conffiles
       (Matthias Klumpp) (Closes: #678189)
    - Add GStreamer 1.0 support to the PackageKit plugin
       (Richard Hughes)
    - Ignore "accept-eula" in pk-transaction-run (Gary Ching-Pang Lin)
    - Check for CancelBackgroundTransactions setting again
       (Matthias Klumpp)
    - Fix a crash where NetworkManager is restarted whilst packagekitd
       is running (Richard Hughes)
    - Drop the unused polkit-backend-1 check from configure as
       it's gone upstream (Richard Hughes)
    - Fix segfault in pkcon when user does ctrl-d at the package prompt
       (Richard Hughes)
    - Inhibit shutdown when the package manager is locked (Richard Hughes)
    - Fix several return values in pkcon when there is an error
       (Richard Hughes)
    - Allow the user to specify standard GNU help options (Richard Hughes)
    - Do not allow the client to overwrite files when downloading packages
       (Richard Hughes)

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 21 Aug 2012 16:41:43 +0200

packagekit (0.7.5-2) unstable; urgency=low

  * Fix mistake in GTK3-module install file

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 26 Jun 2012 21:14:58 +0200

packagekit (0.7.5-1) unstable; urgency=low

  * Disable strict mode
  * Allow alternative system-interface implementations
  * New upstream bugfix release: 0.7.5
    Changes relevant to Debian:
    - glib: Allow adding packages to PkPackageSack from package-list
       files (Matthias Klumpp)
    - glib: More GIR annotations (Matthias Klumpp)
    - glib: Use the correct user-cache directory (Richard Hughes)
    - aptcc: Don't freeze if apt-listchanges is installed
       (Matthias Klumpp) (Closes: #662602)
    - aptcc: Make get-distro-upgrades.py helper work with Python3
       (Sebastian Heinlein)
    - aptcc: save the changelog to a random directory (Daniel Nicoletti)
    - Add a dummy GTK+2 module to avoid a warning when starting GTK+2
       applications (Richard Hughes) (Closes: #649039)
    - Add the pkg to the PkPackageSack hash when using
       pk_package_sack_add_package_by_id() (Richard Hughes)
    - Automatically set the Locked property true if allow cancel is set
       to false (Richard Hughes)
    - Clarify message for org.freedesktop.packagekit.package-install
       (Nils Philippsen)
    - Document HARDWARE_DRIVER (Martin Pitt)
    - Document MODALIAS (Martin Pitt)
    - Don't show a warning on refresh if /var/run/PackageKit/udev does
       not exist (Richard Hughes)
    - Fix importing GPG signatures (Richard Hughes)
  * Removed patches: Applied upstream
  * Removed Apt backend again: Backend is broken and can't be included
    in Wheezy at the current state. Please use aptcc, which works much
    better at time and is well-tested (Closes: #678978)

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 26 Jun 2012 20:12:14 +0200

packagekit (0.7.4-4) unstable; urgency=low

  * Install browser-plugin into valid path (Closes: #674910)
  * Install introduction pages (Closes: #665289)

 -- Matthias Klumpp <matthias@tenstral.net>  Sat, 02 Jun 2012 12:40:34 +0200

packagekit (0.7.4-3) unstable; urgency=medium

  * aptcc: Save changelog to random dir

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 23 May 2012 17:57:28 +0200

packagekit (0.7.4-2) unstable; urgency=low

  * Fixed qt2 library soname
  * Don't install GIR into multiarch path (Closes: #670374)
  * Updated packagekit-python description

 -- Matthias Klumpp <matthias@tenstral.net>  Thu, 26 Apr 2012 17:20:41 +0200

packagekit (0.7.4-1) unstable; urgency=low

  * New upstream release: 0.7.4
    This is the ultimate-aptcc release, fixing nearly all known bugs!
    PK changes relevant to Debian:
     - packagekit-glib2: Add GType's for packagekit-glib2 enumerations
        (Stef Walter)
     - packagekit-qt2: Add simulateRepairSystem and repairSystem(bool) to
        the Transaction API (Daniel Nicoletti)
     - python: Speed up get_package_list (Tomáš Trnka)
     - apt: apt.cache.Cache() now reuses the dpkg of the chroot
        (Sebastian Heinlein)
     - apt: Fix modalias search on non-multi-arch systems
        (Sebastian Heinlein)
     - apt: Replace use of depracted python-apt 0.7.x API
        (Sebastian Heinlein)
     - aptcc: Add a new class to show cache opening progress
        (Daniel Nicoletti)
     - aptcc: Add AptCacheFile to handle all pkg cache openings
        (Daniel Nicoletti)
     - aptcc: Add SimulateRepairSystem and RepairSystem methods
        (Daniel Nicoletti) (LP: #496290)
     - aptcc: Avoid crashing when error messages containing invalid utf8
        is sent (Daniel Nicoletti)
     - aptcc: Change the way we mark auto-installed packages
        (Daniel Nicoletti)
     - aptcc: Correctly emit if a repo is enabled (Matthias Klumpp)
     - aptcc: Don't emit error if repo is empty (Matthias Klumpp)
     - aptcc: Emit newly-installed local package information (Matthias Klumpp)
     - aptcc: Emit packages that are untrusted with the
        PK_INFO_ENUM_UNTRUSTED enum (Daniel Nicoletti)
     - aptcc: Emit UnfinishedTransaction when we were not able to fix the
        cache (Daniel Nicoletti)
     - aptcc: Fix a multiarch bug that failed to resolve packages
        (Daniel Nicoletti)
     - aptcc: Fix crash when a package for an invalid version
        (Daniel Nicoletti)
     - aptcc: Fix resolving of gdebi packages when they have :arch field
        (Daniel Nicoletti)
     - aptcc: Implement support for InstallFiles()
        (Matthias Klumpp) (Closes: #606131)
     - aptcc: Implement SUPPORTED support (Matthias Klumpp)
     - aptcc: Improve the autoremove code (Daniel Nicoletti)
     - aptcc: Mark dependencies of a file-installation as automatic
        (Matthias Klumpp)
     - aptcc: Move ShowBroken to AptCacheFile, and added CheckDeps from
        apt-get (Daniel Nicoletti)
     - aptcc: Refactored to use AptCacheFile (Daniel Nicoletti)
     - aptcc: Reident the code and re-enforce KDElibs coding style
        (Daniel Nicoletti)
     - aptcc: Remove a code duplication and emit proper RestartRequired
       signal (Daniel Nicoletti)
     - aptcc: Reorganise parts of AptCC to make the code more readable
        (Matthias Klumpp)
     - aptcc: Separate the try install/remove functions (Daniel Nicoletti)
     - aptcc: Simplify code for checking trusted packages (Matthias Klumpp)
     - aptcc: Update license headers & fix some more indentation and typos
        (Matthias Klumpp)
     - aptcc: Use _exit() to quit the child process as synaptic does
        (Daniel Nicoletti)
     - aptcc: When on multiarch some packages that should have the :arch
       appended to the installed list files (Daniel Nicoletti)
     - Deprecate Message(untrusted-package) from the API (Richard Hughes)
     - Install pk-task-sync.h as part of the public API (Stef Walter)
     - Add full integration so that UI can know when to repair the system
        (Daniel Nicoletti)
     - Do not allow an empty resolve call to be passed down to the
        backends (Richard Hughes)
     - Do not include the website in the tarball (Richard Hughes)
  * Don't ship PackageKit bash-completion: Apt can do this already
  * Ship PackageKit tools in separate package
  * Drop all patches: Applied upstream
  * Refresh remaining patches (for policy & default settings)

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 24 Apr 2012 12:03:55 +0200

packagekit (0.7.3-3) unstable; urgency=low

  * Drop dependency on python-gobject (Closes: #663742)
  * Update links to Debian wiki
  * Allow upgrading Firefox/Iceweasel while running (LP: #958609)
  * Don't suggest aptd as alternative to PK
  * Switch to compat-level 9
  * Make library packages multiarch-compatible
  * Don't ship PackageKit website

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 17 Apr 2012 20:48:00 +0200

packagekit (0.7.3-2) unstable; urgency=low

  * Drop dependency on update-manager-core: Not required
  * aptcc: Fix crash if we got a package with an invalid version
  * aptcc: Fix a multiarch bug which prevented resolving packages

 -- Matthias Klumpp <matthias@tenstral.net>  Sat, 10 Mar 2012 14:07:35 +0100

packagekit (0.7.3-1) unstable; urgency=low

  * New upstream release: 0.7.3
    Debian-relevant highlights of this release:
     - glib: Fix transfer annotation of pk_results_get_package_sack()
        (Vincent Untz)
     - glib: Fix transfer annotations for GPtrArray returns (Martin Pitt)
     - glib: Do not send progress updates for non-verb packages
        (Richard Hughes)
     - apt: Add support for plugins, call them for what-provides
        (Martin Pitt)
     - apt: Add test case for what-provides CODEC (Martin Pitt)
     - apt: Add test cases for what-provides ANY and unsupported types
        (Martin Pitt)
     - apt: Add test for what-provides MODALIAS (Martin Pitt)
     - apt: Do not fail on missing /var/lib/PackageKit/mime-map.gdbm
        (Martin Pitt)
     - apt: Fix error code for what-provides CODEC (Martin Pitt)
     - apt: Implement support for what-provides ANY (Martin Pitt)
     - apt: Implement support for what-provides MODALIAS (Martin Pitt)
     - apt: what_provides() search argument is a list, not a string
        (Martin Pitt)
     - aptcc: Disable InstallFiles() again (Matthias Klumpp)
     - aptcc: Don't hang on long transactions (Matthias Klumpp)
     - aptcc: Fix crash when simulating local package install
        (Matthias Klumpp)
     - Add LANGUAGE_SUPPORT what-provides type (Martin Pitt)
     - Don't crash when the system bus isn't available, just abort with an
       error (Richard Hughes)
     - Fix a critical warning when starting gnome-settings-daemon
        (Matthias Clasen)
     - Imply the install trusted polkit auth when we get the remove auth
        (Richard Hughes)
     - Imply the install trusted polkit auth when we get the untrusted
       auth (Richard Hughes)
  * Bump standards version to 3.9.3
  * Only suggest gdebi, it's not a requirement
  * Drop patches: Everything is applied upstream now
  * Disable as-needed patch again, no ltmain is shipped
  * Refreshed vendor patches

 -- Matthias Klumpp <matthias@tenstral.net>  Sun, 04 Mar 2012 17:26:21 +0100

packagekit (0.7.2-4) unstable; urgency=low

  * Don't ship transactions.db with PK package (Closes: #657831)
  * Add APTd PackageKit compat layer as alternative to the original daemon
  * Add Python APT backend again
  * Add language-support what-provides type
  * Don't crash if D-Bus is not available

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 15 Feb 2012 16:12:10 +0100

packagekit (0.7.2-3) unstable; urgency=low

  * Depend on GLib tools, so gdbus is available (Closes: #656559)
  * Fix warnings when running GSD with PackageKit enabled
  * aptcc: Don't hang on long transactions (LP: #905415)

 -- Matthias Klumpp <matthias@tenstral.net>  Fri, 27 Jan 2012 23:26:32 +0100

packagekit (0.7.2-2) unstable; urgency=low

  * Solve override disparity for GIR
  * Disable InstallFiles() in aptcc again, function isn't ready yet
  * Compile with --as-needed again
  * Make libs recommend installation of the PackageKit daemon
  * Fix segfault if there are no cached properties (Closes: #656376)
  * Make GStreamer- and browser plugin suggest a PK frontend

 -- Matthias Klumpp <matthias@tenstral.net>  Thu, 19 Jan 2012 11:51:41 +0100

packagekit (0.7.2-1) unstable; urgency=low

  * New upstream release: 0.7.2
    Highlights of this release, relevant for Debian:
    - glib: Convert libpackagekit-glib2 from dbus-glib to GDBus
       (Richard Hughes)
    - apt: Reintroduce apt backend (Sebastian Heinlein)
    - aptcc: Add Multi-Arch support (Daniel Nicoletti)
    - aptcc: Fix crash on get-categories, backend does not support that
       (Matthias Klumpp)
    - aptcc: Support for InstallPackageFiles by using gdebi
       (Daniel Nicoletti) (Closes: #606131)
    - aptcc: Basic conffile support (Closes: #606025)
    - Add a new repair-system policy and use it by the corresponding
       RepairSystem method (Sebastian Heinlein)
    - Add a transaction_reset backend hook (Richard Hughes)
    - Add new roles SimulateRepairSystem and RepairSystem
       (Sebastian Heinlein)
    - Add possibility to connect/disconnect backend signals (Matthias Klumpp)
    - Add PropertiesChanged signals to the main and transaction
       interfaces (Richard Hughes)
    - Allow the Plasma version to be specified for
       PK_PROVIDES_ENUM_PLASMA_SERVICE (Kevin Kofler)
    - browser-plugin: Make it compile with newest xulrunner
       (Matthias Klumpp)
    - Fix a critical warning in the client tools when a simulation
       is cancelled (Richard Hughes)
    - Fix item-percentage call in the spawned backend (Sebastian Heinlein)
    - gtk-plugin: Fix name of GTK plugin schema file
       (Matthias Klumpp) (Closes: #649377)
    - Make PkProc part of the daemon (Matthias Klumpp) (LP: #898891)
    - Remove deprecated g_thread_init() on GLib < 2.31 (Per Øyvind Karlsen)
    - Set the frontend socket as environment variable in the
       spawned backend (Sebastian Heinlein)
  * Fix typo in package description (Closes: #655443)
  * Make backends depend on Python again
  * Remove patch 01_new_xulrunner: Applied upstream

 -- Matthias Klumpp <matthias@tenstral.net>  Tue, 17 Jan 2012 19:02:38 +0100

packagekit (0.7.1-2) unstable; urgency=low

  * Remove /var/lib/PackageKit on purge (Closes: #648455)
  * Make aptcc backend recommend PackageKit daemon
  * Make xulrunner dependency stronger (Closes: #649604)
  * Allow DM upload

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 28 Nov 2011 15:37:55 +0100

packagekit (0.7.1-1) unstable; urgency=low

  * New upstream release: 0.7.1
    - qt2: Remove old Find* macro
       (Matthias Klumpp) (Closes: #635981)
    - qt: Drop packagekit-qt1 which is obsolete in favor of
       packagekit-qt2 (Daniel Nicoletti)
    - aptcc: Don't wrap sys.stdout with codecs.getwriter(...)
       (Nils Philippsen)
    - python: Add initial Python3 compatibility (keeping Python2.7
       support) (Fabio Erculiani)
    - python: Implement and use utf8 stream writer for stdout, stderr
       (Nils Philippsen)
    - python: Require at least Python 2.7 (Fabio Erculiani)
    - python: Update exception code syntax, make it work with both
       Python2 and Python3 (Fabio Erculiani)
    - python: Use print() as function (Fabio Erculiani)
    - smart: Implement the simulate methods (Anders F Bjorklund)
    - smart: Make sure that data=installed is honored
       (Anders F Bjorklund)
    - smart: Remove the vfuncs table (Anders F Bjorklund)
    - Add command line option to keep environment (Nils Philippsen)
    - Add introspection support for PK-Plugins (Matthias Klumpp)
    - Add possibility for backends/plugins to skip transactions
       (Matthias Klumpp)
    - Add 'uid' and 'cmdline' properties to PkBackend (Richard Hughes)
    - Use the new g_thread_new() for new versions of GLib (Richard Hughes)
    - Check if a transaction should be skipped after it has started too
       (Matthias Klumpp)
    - Don't use the deprecated g_thread_supported() in the dameon code
       (Richard Hughes)
    - Fix the role of the EULA transaction (Daniel Nicoletti)
    - Make PK compile on GNU Hurd (Matthias Klumpp)
    - Move the gtk-module extra files to the PK tarball
       (Richard Hughes) (Closes: #642910)
    - Offset the cache age by 30 minutes (Richard Hughes)
    - plugin: Add a few GIR annotations (Matthias Klumpp)
    - Remove the implemented checks for the simulate methods
       (Richard Hughes)
    - Require exactly 'y<enter>' or 'yes<enter>' before running a
       transaction (Richard Hughes)
    - Use the newest filter when resolving for new packages to install
       (Richard Hughes)
  * 01_new-xulrunner.patch: Fix FTBFS of browser-plugin with new Xulrunner
  * 01_aptcc_fix-long-desc.patch: Applied upstream
  * 02_gnuhurd-comp.patch: Applied upstream
  * 03_smart-vfuncs.patch: Applied upstream
  * 99_ltmain-as-needed.patch: Dropped, needs further thinking

 -- Matthias Klumpp <matthias@tenstral.net>  Thu, 10 Nov 2011 21:11:48 +0100

packagekit (0.7.0-1) unstable; urgency=low

  * New upstream release: 0.7.0
    - This is the first release of the unstable 0.7.x series.
    - This code removes a lot of deprecated code and compatibility shims
       compared to the previous branch.
    - Highlights of this release is the new transaction plugin interface
       that allows external projects to add modules for interfacing with
       PackageKit. This allows projects such as Listaller to interface with
       PackageKit to install self contained software blobs.
       See http://listaller.tenstral.net/ for more information.
    - The daemon code is now using GDBus rather than dbus-glib, but the
       libpackagekit-glib library is still using the latter. It'll be
       converted hopefully in time for 0.7.1.
    - The changelog of this release is very long. You can look at the
      NEWS file in the release tarball if you want more information.
  * Remove the old apt backend, please use aptcc instead (which works
    much better)
  * Fix FTBFS on hurd-i386 (Closes: #645553)
  * Fix Python package dependencies

 -- Matthias Klumpp <matthias@tenstral.net>  Fri, 14 Oct 2011 19:44:48 +0200

packagekit (0.6.18-1) unstable; urgency=low

  * New upstream release: 0.6.18
    - glib: Fix a small memory leak (Garrett Regier)
    - qt: Do not dist the moc files (Richard Hughes)
    - aptcc: Fix the size by emitting installed and download size
        (DanielNicoletti)
    - Fix the browser-plugin build with GTK+ < 2.24 (Frederic Crozat)
    - Make the lsof plugin not lookup hostnames (Richard Hughes)
    - Remove the duplicate 'The software is not from a trusted source'
       (Richard Hughes)
  * Removed patches which have been applied upstream
  * Fix segfault with >= GLib 2.29
  * Remove old, unnecessary *.moc files

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 07 Sep 2011 19:19:53 +0200

packagekit (0.6.17-1) unstable; urgency=low

  * New upstream release: 0.6.17
     - Actually use the value from /etc/login.defs (Richard Hughes)
     - Ignore local packages when calculating the simulate list
        (Richard Hughes)
     - Ignore untrusted packages when calculating the simulate list
        (Richard Hughes)
     - Add an untrusted section header when using console applications
        (Richard Hughes)
  * aptcc: Fix crash when long description blow char buffer,
    remove some mem leaks too
  * aptcc: Fix the size of the packages by emitting installedSize
    when installed and download size when available.

 -- Matthias Klumpp <matthias@tenstral.net>  Sat, 20 Aug 2011 15:12:22 +0200

packagekit (0.6.16-1) unstable; urgency=low

  * New upstream release: 0.6.16
     - glib: Added element-type annotations for each function returning a
        GPtrArray (Alex Eftimie)
     - glib: Ensure packages from the progress handler have the package_id
        assigned (Richard Hughes)
     - aptcc: Better put last fix in pk_backend_initialize
        (Daniel Nicoletti)
     - aptcc: Fix bug that resolved packages were emited as installed when
        updates (Daniel Nicoletti)
     - aptcc: Fix getDetails to actually use the resolved version,
        deb#606135 (Daniel Nicoletti)
     - aptcc: Initial support to conffile handling (Daniel Nicoletti)
     - aptcc: Set env var to disable apt-listbugs closes deb#628835
        (Daniel Nicoletti)
     - Support looking up Plasma services (Kevin Kofler)
     - Do not hardcode G_DISABLE_DEPRECATED as it breaks with GTK+-2 and
        GLib (Richard Hughes)
     - Do not hardcode the UID_MIN as 500. Fixes rh#717110
        (Richard Hughes)
     - Do not try to parse any arguments in command-not-found
        (Richard Hughes)
     - Ensure we save the updates cache for the pre-transaction checks
        (Richard Hughes)
     - Fix a build error in the browser plugin when using old versions of
        gdk (Richard Hughes)
  * Remove patches which were applied upstream
  * Drop dependency on dh_autoreconf
  * Update my mailadress

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 04 Jul 2011 23:00:54 +0200

packagekit (0.6.15-1) unstable; urgency=low

  * New upstream release: 0.6.15
    - gir: More gir annotations (Matthias Klumpp)
    - packagekit-qt2: Remove package caching as we use const Packages now
        (Daniel Nicoletti)
    - aptcc: Emit repos while refreshing cache, and speed up
        searchDetails a bit (Daniel Nicoletti)
    - aptcc: Fix the way we emit repos, now it emits the string more
        human readable (Daniel Nicoletti)
    - Added PK_INFO_ENUM_UNTRUSTED so we can tell which packages are
        trusted (Daniel Nicoletti)
    - When refreshing cache backends should emit RepoDetail as frontends
        will be able to present extra details (Daniel Nicoletti)
    - Do not prevent updating when firefox is running, we don't have all
        the client UI ready yet (Richard Hughes)
    - Only include glib-unix.h if the GLib version is >= 2.29.4
        (Richard Hughes)
  * Set env var in aptcc to disable apt-listbugs (Closes: #628835)
  * Fix aptcc getDetails method (Closes: #606135)
  * Enabled build with deprecated symbols
  * Don't ship .la files

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 14 Jun 2011 14:06:41 +0200

packagekit (0.6.14-2) unstable; urgency=low

  * Removed XS-Python-Version line (Closes: #626104)
  * Adjusted VCS links
  * Fixed typo in package description
  * Updated libpackagekit-glib2-dev dependencies

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 01 Jun 2011 18:10:04 +0200

packagekit (0.6.14-1) unstable; urgency=low

  * Upload to unstable
  * Make PK compile on non-linux archs
    (Thanks to Pino Toscano) (Closes: #623125)
  * Imported Upstream version 0.6.14
     - glib: Add GIR annotations to make PK GIR usable
             (Matthias Klumpp)
     - qt2: Add Qt2 library (Daniel Nicoletti)
     - qt: Fix typo in SearchGroups (Dimitar Popov)
     - aptcc: Fix configure.ac to avoid pk-qt linking
             against apt-pkg (Daniel Nicoletti)
     - browser-plugin: Remove deprecated symbols
             (Matthias Klumpp) (LP: #766046)
     - Fix precedence when assigning strings to a *GStrv
             (Jonny Lamb) (Closes: #622605)
     - Create transaction db properly if it's not exist
             (Zhang Qiang)
     - Do not allow backends to output duplicate older
       packages when searching with newest (Richard Hughes)
     - Use the new threadsafe signal handling support in GLib
       (Richard Hughes)
  * Replace qt package with qt2 package
  * Fix some spelling errors in description
  * Remove PackageKit PolKit extension (has been removed upstream too)
  * Build GTK+3 module

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 04 May 2011 14:23:05 +0200

packagekit (0.6.12-2) experimental; urgency=low

  * Fixed changelog
  * Enabled GObject introspection
  * Build-depend on xulrunner or firefox
  * Apply best practices for dpkg source format 3.0 (quilt)
  * Add debug-info package
  * Wipe out dependency_libs from .la files (Closes: #619544)

 -- Matthias Klumpp <matthias@nlinux.org>  Fri, 25 Mar 2011 11:17:32 +0100

packagekit (0.6.12-1) unstable; urgency=low

  * Imported Upstream version 0.6.12
     - Add speed python backend method (Anders F Bjorklund)
     - Allow the user to specify a comma delimited list of default
        backends (Richard Hughes)
     - Do not enable command not found debugging by default. Fixes
        rh#666254 (Richard Hughes)
     - Explictly include GIO in LDADD to fix a compile error on Debian
        (Matthias Klumpp, Richard Hughes)
     - Fix calling pk_client_helper_start() with no environment set
        (Richard Hughes)
     - Fix LP#591474 bug which caused a crash when the Section() of a
        package was NULL (Daniel Nicoletti)
     - Only try to populate the command list in pkcon after the PkControl
        command has finished (Richard Hughes)
     - pkcon: check PK error in pk_console_resolve_package (Zhang Qiang)
     - Set client locale to LC_MESSAGES rather than LC_ALL (Colin Watson)
     - Provide a hook so spawned backends can report speed (Richard Hughes)
     - aptcc: Fix compile with GLib 2.24 (Matthias Klumpp)
     - aptcc: Sanitize file descriptor handling (Matthias Klumpp)
     - aptcc: Use a pty rather than a pipe for writing to apt (Colin Watson)
  * Drop APTcc and PK bugfix patches: Applied upstream

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 02 Feb 2011 17:09:14 +0100

packagekit (0.6.11-2) unstable; urgency=low

  * Select right browser on Debian/Ubuntu
  * Reformatted control file
  * Fix crash if Section() of a package is NULL
  * Fix falure of some postinst scripts when running using APTcc (LP: #680328)

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 25 Jan 2011 15:54:54 +0100

packagekit (0.6.11-1) unstable; urgency=low

  * New upstream release
     - Add a new backend role for updating the whole distro: UpgradeSystem
        (Richard Hughes)
     - Allow backend to encode the package origin in the package-id
        (Richard Hughes)
     - Added PK_ERROR_ENUM_CANNOT_FETCH_SOURCES when refreshing cache
        fails (Daniel Nicoletti)
     - Add recommendation repo:foo' to be able to return all packages in a
        certain repository (Richard Hughes)
     - Change the spec to recommend 'category:web-development' rather than
        '@web-development' (Richard Hughes)
     - Spawn KDE Debconf frontend if KDE is running (Matthias Klumpp)
     - aptcc: Added GStreamer search (Daniel Nicoletti)
     - aptcc: Fix regex not to match "()(64bit)" as we don't support
        multiarch anyway (Daniel Nicoletti)
     - aptcc: Port away from PK_BACKEND_OPTIONS (Daniel Nicoletti)
     - aptcc: Set the env proxy vars so that Apt::Acquire is not
        overwritten, fixes LP: #633008 (Daniel Nicoletti)
     - aptcc: Use the new PK_ERROR_ENUM_CANNOT_GET_LOCK (Daniel Nicoletti)
  * Added libnspr4-dev build-dependency
  * Switch to dh_python2
  * Allow every user to set proxy
  * Refreshed patches
  * Build-Depend on python >= 2.6.6-3+squeeze4
  * Switched back to compat level 7
  * Removed patches which were applied upstream

 -- Matthias Klumpp <matthias@nlinux.org>  Fri, 07 Jan 2011 19:58:26 +0100

packagekit (0.6.10-3) unstable; urgency=low

  [ Matthias Klumpp ]
  * Bumped debhelper version & added Gitignore
  * Changed control file indentation

  [ Julian Andres Klode ]
  * Add support for GLib 2.24; thus upload to unstable
  * Build with -Wl,--as-needed to avoid large dependencies
  * Add myself to uploaders

 -- Julian Andres Klode <jak@debian.org>  Sun, 19 Dec 2010 20:20:42 +0100

packagekit (0.6.10-2) experimental; urgency=low

  * Require privileges to install updates (Closes: #606092)
  * Break old backends and depend on the new ones (Closes: #606133)
  * Adjusted Vcs information to link to our new Git repository
  * Added series file for Ubuntu to apply Ubuntu-specific patches
     (like the vendor patch for example)

 -- Matthias Klumpp <matthias@nlinux.org>  Mon, 06 Dec 2010 18:48:47 +0100

packagekit (0.6.10-1) experimental; urgency=low

  * New upstream release
     - This is the first release of PackageKit to support session
       configuration helper support in the GLib and Qt libraries.
     - This allows debconf to work when using PackageKit on Debian.
     - A formal transaction lifecyle is now in place, which allows future
       extensions to hook into the transaction at certain points.
  * Disabled introspection support
    (requires a more recent version of gobject-introspection)
  * APTcc proxy patch from upstream (makes APTcc use APT proxy settings)
  * Upstream patch for some APTcc crashes

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 02 Nov 2010 18:08:34 +0100

packagekit (0.6.8-2) unstable; urgency=low

  * Make dh_makeshlibs ignore non-public libraries. This prevents it from
    including an useless shlibs-controlfile into the packages.
  * Merged some patches from Ubuntu

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 19 Oct 2010 21:05:19 +0200

packagekit (0.6.8-1) unstable; urgency=low

  * Initial release (Closes: #468132)

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 25 Aug 2010 19:40:12 +0200
